import {GET, POST, PUT} from "@/shared/api/apiClient";
import {USER_ME} from "@/shared/constants";
import {GetUserMeResponse} from "@/shared/types/user";

export const getUserMe = async () => {
  const {data} = await GET<GetUserMeResponse>(USER_ME)
  return data
}
export const updateUserMe = async (userData: {
  first_name?: string
  last_name?: string
  middle_name?: string
  phone?: string
}) => {
  const {data} = await PUT(USER_ME, userData)
  return data
}